%define major 1
%define libname %mklibname g15daemon_client %major
%define libname_devel %mklibname g15daemon_client -d
%define libname_static_devel %mklibname g15daemon_client -d -s

Name:                   g15daemon
Version:                1.9.5.3
Release:                %mkrel 9
Summary:                Daemon to control logitech G15 keyboards
License:                GPLv2+
Group:                  System/Servers
URL:                    http://g15daemon.sourceforge.net/
Source0:                http://downloads.sourceforge.net/g15daemon/g15daemon-%{version}.tar.bz2
Source1:                g15daemon.init
Patch0:			%{name}-1.9.5.3-fix-open-with-O_CREAT.patch
BuildRequires:          g15-devel
BuildRequires:          g15render-devel

%description
G15daemon controls the G15 keyboard, allowing the use of 
all keys through the linux kernel uinput device driver.  
It also controls the use of the keyboard's LCD display, 
allows multiple, simultaneous client applications to connect, 
and gives the user the ability to switch between client 
apps at the press of a button.

%package -n %{libname}
Summary:        Daemon to control logitech G15 keyboards
Group:          System/Libraries
Provides:       g15daemon_client = %{version}-%{release}
Requires: %name >= %version-%release

%description -n %{libname}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname_devel}
Summary:        Daemon to control logitech G15 keyboards
Group:          Development/C
Provides:       g15daemon_client-devel = %{version}-%{release}
Requires:       g15daemon_client = %{version}-%{release}

%description -n %{libname_devel}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname_static_devel}
Summary:        Daemon to control logitech G15 keyboards
Group:          Development/C
Provides:       g15daemon_client-static-devel = %{version}-%{release}
Requires:       g15daemon_client-devel = %{version}-%{release}

%description -n %{libname_static_devel}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%prep
%setup -q
%patch0 -p1 -b .ocreat

%build
%{configure2_5x} --disable-static
%{make}

%install
%{makeinstall_std}
%{__rm} -r %{buildroot}%{_docdir}
find %{buildroot} -name '*.la' -delete

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

%files 
%doc AUTHORS ChangeLog COPYING Documentation/README* FAQ INSTALL LICENSE NEWS README* TODO contrib lang-bindings 
%{_datadir}/g15daemon
%attr(0755,root,root) %{_initrddir}/%{name}
%{_libdir}/g15daemon
%{_mandir}/man1/*
%{_sbindir}/g15daemon

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.9.5.3-9.mga4
+ Revision: 504702
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.9.5.3-8.mga3
+ Revision: 351012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 1.9.5.3-7.mga3
+ Revision: 333755
- drop .la file

* Mon Mar 28 2011 ennael <ennael> 1.9.5.3-7.mga1
+ Revision: 78299
- clean spec file
- imported package g15daemon


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.5.3-7mdv2011.0
+ Revision: 610782
- rebuild

* Fri Jan 08 2010 Götz Waschk <waschk@mandriva.org> 1.9.5.3-6mdv2010.1
+ Revision: 487511
- the library depends on the daemon to make the clients work

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.9.5.3-5mdv2010.0
+ Revision: 439655
- rebuild for new libusb

* Sun May 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.5.3-4mdv2010.0
+ Revision: 379121
- fix build (open with O_CREAT error)
- fix license (GPLv2+)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Feb 16 2008 David Walluck <walluck@mandriva.org> 1.9.5.3-1mdv2008.1
+ Revision: 169218
- 1.9.5.3

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 1.9.5.2-1mdv2008.1
+ Revision: 163918
- fix URL
- fix Provides and Requires
- add Requires on rpm-helper
- add reload entry to initscript
- import g15daemon


